/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.communication.jndi.agent;

import javax.naming.NamingException;

import org.objectweb.petals.communication.jndi.agent.msg.request.RegistryRequest;

/**
 * The interface of the PEtALS JNDI agent.
 *
 * @author Roland NAUDIN - eBMWebSourcing
 *
 */
public interface JNDIAgentService {

    public static final String JNDI_PETALS_FACTORY = "org.objectweb.petals.communication.jndi.client.naming.NamingContextFactory";

    public static final String ENVIRONMENT_LOCAL_CONNECTION = "org.objectweb.petals.communication.jndi.agent.local";

    /**
     * Process the given JNDI request.
     *
     * @param request the request
     * @return The response
     *
     * @throws NamingException
     */
    Object processRequest(RegistryRequest request) throws NamingException;
}
