/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.communication.network.data;

import java.io.Serializable;

/**
 * Class holding the payload and the type of a network message.
 *
 * @author Roland NAUDIN - EbmWebsourcing
 *
 */
public abstract class NetworkData implements Serializable {

    private static final long serialVersionUID = 9193522684840201133L;

    public static enum MessageType {
        /**
         * The join request
         */
        joinRequest,
        /**
         * The join response
         */
        joinResponse
    }

    private MessageType type;

    /**
     * Default constructor
     *
     * @param type
     */
    protected NetworkData(MessageType type) {
        this.type = type;
    }

    public MessageType getType() {
        return type;
    }

}
