/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005 EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: AutoLoaderService.java,v 1.2 2006/04/07 10:24:27 alouis Exp $
 * --------------------------------------------------------------------------  
 */
package org.objectweb.petals.jbi.management.autoload;

import java.io.File;
import java.util.List;


/**
 * This AutoLoaderService is used for automaticly loading components which are placed
 * in the "autoLoad" directory. It periodicly scan the directory and check if
 * new components are presents. The InstallationServiceMBean is called for each of
 * those components. The whole process of installation is done (install + start)
 * After being threat, the archives of the components are removed. A file
 * "fileName.success" will be created if success A file "fileName.failed" will
 * be created otherwise, containing the related exception
 * 
 * @author alouis
 * 
 */
public interface AutoLoaderService {
    void install(File[] listFiles);
    
    void uninstall(List<File> listFiles);
    
    File getInstalledDirectory();
    
    File getUninstalledDirectory();
    
    File getWorkDirectory();
}
