/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.management.task.installation.install.component;

import java.io.File;

import javax.jbi.management.LifeCycleMBean;

import org.objectweb.petals.container.lifecycle.Installer;
import org.objectweb.petals.jbi.descriptor.JBIDescriptor;
import org.objectweb.petals.jbi.management.autoload.AutoLoaderService;
import org.objectweb.petals.jbi.management.task.AbstractCreateStateHolderTask;
import org.objectweb.petals.jbi.management.task.installation.InstallationUtils;
import org.objectweb.petals.platform.repository.RepositoryService;
import org.objectweb.petals.platform.systemstate.SystemStateService;
import org.objectweb.petals.util.LoggingUtil;

/**
 * This task creates state holder for component
 * 
 * @author ofabre - EBM Websourcing
 * 
 */
public class CreateComponentStateHolderTask extends
    AbstractCreateStateHolderTask {

    public CreateComponentStateHolderTask(SystemStateService systemStateSrv,
        RepositoryService repositorySrv, AutoLoaderService autoLoaderSrv,
        LoggingUtil log) {
        super(systemStateSrv, repositorySrv, autoLoaderSrv, log);
    }

    @Override
    protected void createEntityStateHolder(JBIDescriptor descriptor,
        File installedArchive) throws Exception {
        systemStateSrv.createComponentStateHolder(InstallationUtils
            .getComponentNameFromDescriptor(descriptor), repositorySrv
            .getComponentInstallRoot(
                InstallationUtils.getComponentNameFromDescriptor(descriptor))
            .toURL().toString(), installedArchive.toURL().toString(),
            Installer.UNINSTALLED, LifeCycleMBean.UNKNOWN);
    }

    @Override
    protected void deleteEntityStateHolder(JBIDescriptor descriptor)
        throws Exception {
        systemStateSrv.deleteComponentStateHolder(InstallationUtils
            .getComponentNameFromDescriptor(descriptor));
    }

}
