/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.management.task.installation.install.sl;

import java.io.File;
import java.net.URI;

import org.objectweb.petals.PetalsException;
import org.objectweb.petals.jbi.descriptor.JBIDescriptor;
import org.objectweb.petals.jbi.management.task.AbstractCopyPackageToRepositoryTask;
import org.objectweb.petals.jbi.management.task.installation.InstallationUtils;
import org.objectweb.petals.platform.repository.RepositoryService;
import org.objectweb.petals.util.LoggingUtil;

/**
 * This task copy shared lib package into the repository
 * 
 * @author ofabre - EBM Websourcing
 * 
 */
public class CopySLPackageToRepositoryTask extends AbstractCopyPackageToRepositoryTask {

    public CopySLPackageToRepositoryTask(RepositoryService repositorySrv, LoggingUtil log) {
        super(repositorySrv, log);
    }

    @Override
    protected URI copyEntityPackage(JBIDescriptor descriptor, File packageFile)
        throws PetalsException {
        return repositorySrv.addSharedLibPackage(InstallationUtils
            .getSLNameFromDescriptor(descriptor), packageFile);
    }

    @Override
    protected void removeEntityPackage(JBIDescriptor descriptor)
        throws PetalsException {
        repositorySrv.removeSharedLibPackage(InstallationUtils
            .getSLNameFromDescriptor(descriptor));

    }

}
