/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 Fossil E-Commerce, http://www.fossilec.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: InternalEndpoint.java 5347 2007-09-27 10:08:51Z rnaudin $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.messaging.endpoint;

import java.io.Serializable;

import javax.xml.namespace.QName;

import org.objectweb.petals.jbi.management.endpoint.EndpointService;

/**
 * @version $Rev: 5347 $ $Date: 2007-09-27 12:08:51 +0200 (jeu, 27 sep 2007) $
 * @since Petals 1.0
 * @author alouis,<a href="mailto:rmarins@fossilec.com">Rafael Marins</a>
 */
public class InternalEndpoint extends AbstractEndpoint implements Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    /**
     * @param endpointName
     * @param serviceName
     * 
     */
    public InternalEndpoint(QName serviceName, String endpointName,
        String componentName, String containerName,
        EndpointService endpointService) {
        super(serviceName, endpointName, componentName, containerName,
            EndpointType.INTERNAL, endpointService);
    }
}
