/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: RoutingException.java,v 1.2 2005/07/22 10:24:27 alouis Exp $
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.jbi.messaging.routing;

import javax.jbi.JBIException;

/**
 * @author Adrien LOUIS - EBM WebSourcing
 */

public class RoutingException extends JBIException {
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * the default contructor.
     * @param message
     *       the error message
     */
    public RoutingException(final String message) {
        super(message);
    }

    /**
     * Constructor.
     * @param message
     *        the error message
     * @param cause
     *        the cause of the error
     */
    public RoutingException(final String message, final Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructor.
     * @param cause
     *        the cause of the error
     */
    public RoutingException(final Throwable cause) {
        super(cause);
    }
}
