/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MBeanHelper.java 16:40:52 alouis $
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.kernel.server;

import org.objectweb.petals.PetalsException;

/**
 * This class launches the stop of the Petals server in a thread
 *
 * @author rnaudin - eBM WebSourcing
 *
 */
public class PetalsStopThread extends Thread {

    private PetalsServer petalsServer;

    /**
     *
     * @param petalsServer
     */
    public PetalsStopThread(PetalsServer petalsServer) {
        this.petalsServer = petalsServer;
    }

    @Override
    public void run() {
        try {
            petalsServer.stop();
        } catch (PetalsException e) {
            e.printStackTrace(System.err);
            System.exit(-1);
        }
    }
}
