/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 Fossil E-Commerce, http://www.fossilec.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: SharedLibraryClassLoader.java 216 2006-04-13 14:18:14Z ofabre $
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.platform.classloader;

import java.io.IOException;
import java.net.URL;
import java.net.URLStreamHandlerFactory;
import java.util.List;

/**
 * This classLoader is used for a share library. The SharedLibraries-classloader
 * use it to find classes requested by a JBIcomponent-classloader. The
 * SharedLibraries-classloader has to call the protected method "findClass" on
 * it. So this classloader exposes the "findclass" method as a public method.
 * 
 * @version $Rev: 216 $ $Date: $
 * @since Petals 1.0
 * @author Adrien LOUIS
 */
public class SharedLibraryClassLoader extends PetalsClassLoader {

    public SharedLibraryClassLoader(URL[] baseUrls,
            List<String> classpathLocations) throws IOException {
        super(baseUrls, classpathLocations);
    }

    public SharedLibraryClassLoader(URL[] baseUrls,
            List<String> classpathLocations, ClassLoader parent)
            throws IOException {
        super(baseUrls, classpathLocations, parent);
    }

    public SharedLibraryClassLoader(URL[] baseUrls,
            List<String> classpathLocations, ClassLoader parent,
            URLStreamHandlerFactory factory) throws IOException {
        super(baseUrls, classpathLocations, parent, factory);
    }

    /**
     * Expose the protected <code>findLoadedClass</code> method. Used by the
     * ShareLibraries class loader
     * 
     * @param className
     * @return
     */
    Class<?> findLoadedClazz(String className) {
        return super.findLoadedClass(className);
    }
}
